r7996 - in /vdr/vdr-plugin-filebrowser/trunk/debian: README.source changelog control patches/00list patches/90_filebrowser-0.0.6-1.5.4.dpatch patches/91_gcc-4.4.dpatch patches/92_glibc210.dpatch rules

tiber-guest at users.alioth.debian.org tiber-guest at users.alioth.debian.org
Sun Nov 8 01:39:49 UTC 2009


Author: tiber-guest
Date: Sun Nov  8 01:39:48 2009
New Revision: 7996

URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/?sc=1&rev=7996
Log:
* Added gcc 4.4 fix
* Added 92_glibc210.dpatch
* Standards-Version: 3.8.3
* Removed non-standard shebang line from debian/rules
* Added README.source

Added:
    vdr/vdr-plugin-filebrowser/trunk/debian/README.source
    vdr/vdr-plugin-filebrowser/trunk/debian/patches/91_gcc-4.4.dpatch
    vdr/vdr-plugin-filebrowser/trunk/debian/patches/92_glibc210.dpatch
Removed:
    vdr/vdr-plugin-filebrowser/trunk/debian/patches/90_filebrowser-0.0.6-1.5.4.dpatch
Modified:
    vdr/vdr-plugin-filebrowser/trunk/debian/changelog
    vdr/vdr-plugin-filebrowser/trunk/debian/control
    vdr/vdr-plugin-filebrowser/trunk/debian/patches/00list
    vdr/vdr-plugin-filebrowser/trunk/debian/rules

Added: vdr/vdr-plugin-filebrowser/trunk/debian/README.source
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/README.source?rev=7996&op=file
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/README.source (added)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/README.source Sun Nov  8 01:39:48 2009
@@ -1,0 +1,7 @@
+This package uses the dpatch system to save and apply patches to the
+upstream source code of the software that is packaged. For details
+about how to use dpatch read
+
+   /usr/share/doc/dpatch/README.source.gz
+
+from the dpatch package.

Modified: vdr/vdr-plugin-filebrowser/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/changelog?rev=7996&op=diff
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/changelog (original)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/changelog Sun Nov  8 01:39:48 2009
@@ -1,3 +1,13 @@
+vdr-plugin-filebrowser (0.2.0-3) experimental; urgency=low
+
+  * Added gcc 4.4 fix
+  * Added 92_glibc210.dpatch
+  * Standards-Version: 3.8.3
+  * Removed non-standard shebang line from debian/rules
+  * Added README.source
+
+ -- Tobias Grimm <etobi at debian.org>  Mon, 26 Oct 2009 20:44:32 +0100
+
 vdr-plugin-filebrowser (0.2.0-2) experimental; urgency=low
 
   * Release for vdrdevel 1.7.6

Modified: vdr/vdr-plugin-filebrowser/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/control?rev=7996&op=diff
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/control (original)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/control Sun Nov  8 01:39:48 2009
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi at debian.org>, Thomas Schmidt <tschmidt at debian.org>, Thomas Günther <tom at toms-cafe.de>
 Build-Depends: debhelper (>= 5), cdbs, dpatch, vdr-dev (>= 1.6.0-5)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/
 

Modified: vdr/vdr-plugin-filebrowser/trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/patches/00list?rev=7996&op=diff
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/patches/00list (original)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/patches/00list Sun Nov  8 01:39:48 2009
@@ -1,1 +1,2 @@
-#90_filebrowser-0.0.6-1.5.4
+91_gcc-4.4
+92_glibc210

Added: vdr/vdr-plugin-filebrowser/trunk/debian/patches/91_gcc-4.4.dpatch
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/patches/91_gcc-4.4.dpatch?rev=7996&op=file
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/patches/91_gcc-4.4.dpatch (added)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/patches/91_gcc-4.4.dpatch Sun Nov  8 01:39:48 2009
@@ -1,0 +1,43 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 91_gcc-4.4.dpatch by Tobias Grimm <etobi at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch borrowed from Gentoo / Matthias Schwarzott
+
+ at DPATCH@
+diff -urNad vdr-plugin-filebrowser-0.2.0~/commands.c vdr-plugin-filebrowser-0.2.0/commands.c
+--- vdr-plugin-filebrowser-0.2.0~/commands.c	2008-04-05 12:12:24.000000000 +0200
++++ vdr-plugin-filebrowser-0.2.0/commands.c	2009-10-26 20:39:14.000000000 +0100
+@@ -96,7 +96,7 @@
+   {
+     if(Pattern[0]!='/')
+     {
+-      char* filename_tmp=NULL;
++      const char* filename_tmp=NULL;
+       Filename=(Filename && (filename_tmp=strrchr(Filename, '/'))) ? filename_tmp + 1 : NULL;
+     }
+     if(Filename==NULL)
+diff -urNad vdr-plugin-filebrowser-0.2.0~/menu-filebrowser.c vdr-plugin-filebrowser-0.2.0/menu-filebrowser.c
+--- vdr-plugin-filebrowser-0.2.0~/menu-filebrowser.c	2008-04-05 12:12:24.000000000 +0200
++++ vdr-plugin-filebrowser-0.2.0/menu-filebrowser.c	2009-10-26 20:39:14.000000000 +0100
+@@ -202,7 +202,7 @@
+    {
+       if ( * ( Statebag->CurrentDirectory ) )
+       {
+-         char* slash=strrchr ( * ( Statebag->CurrentDirectory ), '/' );
++         char* slash=const_cast<char*>(strrchr ( * ( Statebag->CurrentDirectory ), '/' ));
+ 
+          if ( slash )
+          {
+@@ -239,7 +239,7 @@
+    if ( Task==taskBrowse )
+    {
+       char* Title= ( char* ) malloc ( strlen ( tr ( "Filebrowser" ) ) + strlen ( Statebag->CurrentDirectory ) + 3 );
+-      char* Title_tmp=NULL;
++      const char* Title_tmp=NULL;
+       sprintf ( Title, "%s: %s", tr ( "Filebrowser" ), ( ( Title_tmp=strrchr ( Statebag->CurrentDirectory, '/' ) ) && ! ( Statebag->ShowFullPath ) ) ? Title_tmp + 1 : * ( Statebag->CurrentDirectory ) );
+       SetTitle ( Title );
+       free ( Title );
+diff -urNad vdr-plugin-filebrowser-0.2.0~/menu-filebrowser.h vdr-plugin-filebrowser-0.2.0/menu-filebrowser.h
+--- vdr-plugin-filebrowser-0.2.0~/menu-filebrowser.h	2008-04-05 08:10:21.000000000 +0200
++++ vdr-plugin-filebrowser-0.2.0/menu-filebrowser.h	2009-10-26 20:39:14.000000000 +0100

Added: vdr/vdr-plugin-filebrowser/trunk/debian/patches/92_glibc210.dpatch
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/patches/92_glibc210.dpatch?rev=7996&op=file
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/patches/92_glibc210.dpatch (added)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/patches/92_glibc210.dpatch Sun Nov  8 01:39:48 2009
@@ -1,0 +1,66 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 92_glibc210.dpatch by Tobias Grimm <etobi at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes glibc 2.10 issues
+
+ at DPATCH@
+--- vdr-plugin-filebrowser-0.2.0.orig/Makefile
++++ vdr-plugin-filebrowser-0.2.0/Makefile
+@@ -54,6 +54,11 @@
+ 
+ DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
+ 
++POSIX_SCANDIR = $(shell /bin/sh check-posix-scandir.sh)
++ifeq ($(strip $(POSIX_SCANDIR)),yes)
++  DEFINES += -DHAVE_POSIX_SCANDIR
++endif
++
+ ### The object files (add further files here):
+ 
+ OBJS = $(PLUGIN).o menu-filebrowser.o commands.o threads.o menu-output.o statebag.o menu-threads.o menu-setup.o tools.o command-sources.o command-other.o commands-plugins.o menu-accesscode.o menu-userinput.o
+--- vdr-plugin-filebrowser-0.2.0.orig/check-posix-scandir.sh
++++ vdr-plugin-filebrowser-0.2.0/check-posix-scandir.sh
+@@ -0,0 +1,14 @@
++cat <<EOF | g++ -Werror -o /dev/null -xc -c - || echo yes
++#include <dirent.h>
++
++int sort(const void* a, const void* b)
++{
++   return 0;
++}
++
++int foo()
++{
++   struct dirent** bar;
++   scandir(".", &bar, 0, &sort);
++}
++EOF
+--- vdr-plugin-filebrowser-0.2.0.orig/menu-filebrowser.c
++++ vdr-plugin-filebrowser-0.2.0/menu-filebrowser.c
+@@ -141,7 +141,11 @@
+    if ( BaseDirectory ) delete BaseDirectory;
+ }
+ 
++#ifdef HAVE_POSIX_SCANDIR
++int cOsdMenuFilebrowser::DirectorySort ( const dirent64** File1, const dirent64** File2 )
++#else
+ int cOsdMenuFilebrowser::DirectorySort ( const void* File1, const void* File2 )
++#endif
+ {
+ 
+    struct dirent64* ent1=* ( struct dirent64** ) File1;
+--- vdr-plugin-filebrowser-0.2.0.orig/menu-filebrowser.h
++++ vdr-plugin-filebrowser-0.2.0/menu-filebrowser.h
+@@ -72,7 +72,11 @@
+ 
+     eMenuFilebrowserTask Task;
+ 
++#ifdef HAVE_POSIX_SCANDIR
++    static int DirectorySort(const dirent64** File1, const dirent64** File2);
++#else
+     static int DirectorySort(const void* File1, const void* File2);
++#endif
+     /*
+      *  This filters entries shown in Filebrowser
+      *  The function uses Statebag->ShowHiddenFiles and Statebag->Filter

Modified: vdr/vdr-plugin-filebrowser/trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-filebrowser/trunk/debian/rules?rev=7996&op=diff
==============================================================================
--- vdr/vdr-plugin-filebrowser/trunk/debian/rules (original)
+++ vdr/vdr-plugin-filebrowser/trunk/debian/rules Sun Nov  8 01:39:48 2009
@@ -1,4 +1,4 @@
-#! /bin/sh /usr/share/vdr-dev/make-special-vdr.sh
+#!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/dpatch.mk




More information about the pkg-vdr-dvb-changes mailing list